Bug 1687543 - [RFE] - Need a way to add headings in Virtual Machine View
Summary: [RFE] - Need a way to add headings in Virtual Machine View
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.4
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: 6.6.0
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 17:03 UTC by Anand Jambhulkar
Modified: 2019-10-22 12:47 UTC (History)
9 users (show)

Fixed In Version: foreman-1.22.0-0.5.RC2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26564 None None None 2019-05-21 22:01:31 UTC
Foreman Issue Tracker 26569 None None None 2019-05-21 22:01:31 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Anand Jambhulkar 2019-03-11 17:03:29 UTC
It would be nice to see OS or possible host that VM is residing on. We see a bunch of windows boxes in which muddy the water, so it would be good to add / remove attributes.


1. What is the exact nature of the problem trying to be solved with this request?
-- There are only 6 columns; Name, Folder , CPU, Memory, Power , Actions 

** Is there a way to add additional columns, as understanding current host and cluster information can be extremely valuable especially when setting up VDC licensing. These attributes may be being captured within Satellite but it  doesn't look like we can modify or add columns to the report. Another key attribute is OS, as it is near impossible to distinguish without it what VM's are RHEL, Windows, etc  
** Maybe this would also be  feasible to have host tab ?

2. List the business requirements.
-- There are only 6 columns; Name, Folder , CPU, Memory, Power , Actions 

** Is there a way to add additional columns, as understanding current host and cluster information can be extremely valuable especially when setting up VDC licensing. These attributes may be being captured within Satellite but it  doesn't look like we can modify or add columns to the report. Another key attribute is OS, as it is near impossible to distinguish without it what VM's are RHEL, Windows, etc  
** Maybe this would also be  feasible to have host tab ?

3. Do you have specific timeline dependencies?
It would be good to add to near-term product release, to enable efficient operational management 

4. Can you please explain us the what are the functional requirements? If test cases can be provided this would be even more ideal.
In Virtual machine view, there are fields that are helpful  to view. Currently you are unable to decipher if VM is Windows, RHEL, etc. Displaying additional fields would be beneficial, especially for cross referencing data for VDC i.e hosts VM is running on; etc  

5. Would you be able to assist in testing this functionality if implemented? 
Yes

Comment 3 Ondřej Pražák 2019-03-12 13:34:47 UTC
Created redmine issue http://projects.theforeman.org/issues/26317 from this bug

Comment 6 Marek Hulan 2019-04-05 11:51:40 UTC
I suppose this is vmware VMs listing. Each compute resource have different capabilities what we can display. Ondrej, do you know if we could get this VM's OS from fog-vsphere today? The same for VM's host and cluster. If the library provides us the information, it may be an easy fix just in our UI.

There's currently no easy way to customize the list, but adding this and makes sense. We may need to condense the information a bit, since the table can't contain many more columns, but that's doable.

Comment 7 Walden Raines 2019-04-05 17:24:44 UTC
One thing that could help this table would be to add customizable columns to it by converting the table to react.

Comment 8 Ondřej Ezr 2019-04-08 01:04:38 UTC
There is not a big problem to add more information to a table, maybe even make it into React.

What is actually the biggest concern here is a performance. As we have written own logic to get vmware VMs from the vsphere to gather only the necessary subset of information, I believe it was already a concern in the past.
I can imagine to make this logic adjustable so we would pull only information user requested, but it could get harder to make the caching work.

I would like to have some measurements of the performance impact and than decide what to do. I can prepare the logic, but I have only ~120 VMs datacenter at hand, I would rather see that one tested on bigger datacenter.
I will prepare the patches with measurements for performance impact on the cluster available to me.

Comment 9 Marek Hulan 2019-04-09 14:21:49 UTC
OS and host are easy to add without major performance impact, tested on ~750 vms. The BZ also mentioned cluster, not sure what the impact of that would be. I'd prefer to keep selectable columns in this table out of the scope for this BZ. I think we could shrink all 3 new columns (OS and host fit well).

Comment 10 Ondřej Ezr 2019-04-20 23:28:28 UTC
We have managed to get done the hypervisor and the OS columns. Shall this tracker keep open for more features, or is that going to be enough for this one? Upstream ticket is kept open for more dynamic approach.

Comment 18 errata-xmlrpc 2019-10-22 12:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.